aws-0.24.4: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.Iam.Commands.UpdateGroup

Synopsis

- data UpdateGroup = UpdateGroup {
  - ugGroupName :: Text
  - ugNewGroupName :: Maybe Text
  - ugNewPath :: Maybe Text
  }
- data UpdateGroupResponse = UpdateGroupResponse

# Documentation

data UpdateGroup Source #

Updates the name and/or path of the specified group.

http://docs.aws.amazon.com/IAM/latest/APIReference/API_UpdateGroup.html

Constructors

UpdateGroup |

Fields

- ugGroupName :: Text

  Name of the group to be updated.

- ugNewGroupName :: Maybe Text

  New name for the group.

- ugNewPath :: Maybe Text

  New path to which the group will be moved.

#### Instances

Instances details

SignQuery UpdateGroup Source # |

Instance details

Defined in Aws.Iam.Commands.UpdateGroup

Associated Types

type ServiceConfiguration UpdateGroup |
Instance details Defined in Aws.Iam.Commands.UpdateGroup type ServiceConfiguration UpdateGroup = IamConfiguration

Methods

signQuery :: UpdateGroup -> ServiceConfiguration UpdateGroup queryType -> SignatureData -> SignedQuery Source #

Show UpdateGroup Source # |
Instance details Defined in Aws.Iam.Commands.UpdateGroup Methods showsPrec :: Int -> UpdateGroup -> ShowS Source # show :: UpdateGroup -> String Source # showList :: [UpdateGroup] -> ShowS Source #
Eq UpdateGroup Source # |
Instance details Defined in Aws.Iam.Commands.UpdateGroup Methods (==) :: UpdateGroup -> UpdateGroup -> Bool Source # (/=) :: UpdateGroup -> UpdateGroup -> Bool Source #
Ord UpdateGroup Source # |

Instance details

Defined in Aws.Iam.Commands.UpdateGroup

Methods

compare :: UpdateGroup -> UpdateGroup -> Ordering Source #

(<) :: UpdateGroup -> UpdateGroup -> Bool Source #

(<=) :: UpdateGroup -> UpdateGroup -> Bool Source #

(>) :: UpdateGroup -> UpdateGroup -> Bool Source #

(>=) :: UpdateGroup -> UpdateGroup -> Bool Source #

max :: UpdateGroup -> UpdateGroup -> UpdateGroup Source #

min :: UpdateGroup -> UpdateGroup -> UpdateGroup Source #

ResponseConsumer UpdateGroup UpdateGroupResponse Source # |

Instance details

Defined in Aws.Iam.Commands.UpdateGroup

Associated Types

type ResponseMetadata UpdateGroupResponse |
Instance details Defined in Aws.Iam.Commands.UpdateGroup type ResponseMetadata UpdateGroupResponse = IamMetadata

Methods

responseConsumer :: Request -> UpdateGroup -> IORef (ResponseMetadata UpdateGroupResponse) -> HTTPResponseConsumer UpdateGroupResponse Source #

Transaction UpdateGroup UpdateGroupResponse Source # |
Instance details Defined in Aws.Iam.Commands.UpdateGroup
type ServiceConfiguration UpdateGroup Source # |
Instance details Defined in Aws.Iam.Commands.UpdateGroup type ServiceConfiguration UpdateGroup = IamConfiguration

data UpdateGroupResponse Source #

Constructors

UpdateGroupResponse |

#### Instances

Instances details

AsMemoryResponse UpdateGroupResponse Source # |

Instance details

Defined in Aws.Iam.Commands.UpdateGroup

Associated Types

type MemoryResponse UpdateGroupResponse |
Instance details Defined in Aws.Iam.Commands.UpdateGroup type MemoryResponse UpdateGroupResponse = UpdateGroupResponse

Methods

loadToMemory :: UpdateGroupResponse -> ResourceT IO (MemoryResponse UpdateGroupResponse) Source #

Show UpdateGroupResponse Source # |
Instance details Defined in Aws.Iam.Commands.UpdateGroup Methods showsPrec :: Int -> UpdateGroupResponse -> ShowS Source # show :: UpdateGroupResponse -> String Source # showList :: [UpdateGroupResponse] -> ShowS Source #
Eq UpdateGroupResponse Source # |
Instance details Defined in Aws.Iam.Commands.UpdateGroup Methods (==) :: UpdateGroupResponse -> UpdateGroupResponse -> Bool Source # (/=) :: UpdateGroupResponse -> UpdateGroupResponse -> Bool Source #
Ord UpdateGroupResponse Source # |

Instance details

Defined in Aws.Iam.Commands.UpdateGroup

Methods

compare :: UpdateGroupResponse -> UpdateGroupResponse -> Ordering Source #

(<) :: UpdateGroupResponse -> UpdateGroupResponse -> Bool Source #

(<=) :: UpdateGroupResponse -> UpdateGroupResponse -> Bool Source #

(>) :: UpdateGroupResponse -> UpdateGroupResponse -> Bool Source #

(>=) :: UpdateGroupResponse -> UpdateGroupResponse -> Bool Source #

max :: UpdateGroupResponse -> UpdateGroupResponse -> UpdateGroupResponse Source #

min :: UpdateGroupResponse -> UpdateGroupResponse -> UpdateGroupResponse Source #

ResponseConsumer UpdateGroup UpdateGroupResponse Source # |

Instance details

Defined in Aws.Iam.Commands.UpdateGroup

Associated Types

type ResponseMetadata UpdateGroupResponse |
Instance details Defined in Aws.Iam.Commands.UpdateGroup type ResponseMetadata UpdateGroupResponse = IamMetadata

Methods

responseConsumer :: Request -> UpdateGroup -> IORef (ResponseMetadata UpdateGroupResponse) -> HTTPResponseConsumer UpdateGroupResponse Source #

Transaction UpdateGroup UpdateGroupResponse Source # |
Instance details Defined in Aws.Iam.Commands.UpdateGroup
type MemoryResponse UpdateGroupResponse Source # |
Instance details Defined in Aws.Iam.Commands.UpdateGroup type MemoryResponse UpdateGroupResponse = UpdateGroupResponse
type ResponseMetadata UpdateGroupResponse Source # |
Instance details Defined in Aws.Iam.Commands.UpdateGroup type ResponseMetadata UpdateGroupResponse = IamMetadata